Subject: bug#57246: biblatex don't recognize video type entry

From: Stefan Kangas <[email-masked]>
Date: Wed, 17 Aug 2022 17:52:57 -0700

Roland Winkler <[email-masked]> writes:

> In Emacs BibTeX mode the problem is here that all biblatex entry types
> are defined via the rather "big" user variable
> bibtex-biblatex-entry-alist.  So the idea is that users can customize
> this variable and define additional entry types.  However, this is not a
> very practical strategy.  From a technical perspective, there is still
> bug#53606.  Also, as biblatex evolves, the default value of
> bibtex-biblatex-entry-alist is continuously updated with each release of
> Emacs.  (Usually this refers to small changes concerning biblatex entry
> types that are already defined via this variable.)  However, if a user
> customizes this variable in whatever way, she will miss the updated
> default value when the next release of emacs is shipped.

How about just having two variables instead?  One for users, and one for
the mode itself.

For an example, see `dired-guess-shell-alist-default' and
`dired-guess-shell-alist-user'.